cf-know(8)

NAME
cf-know - cfengine's knowledge agent

SYNOPSIS:
 cf-know [options]

DESCRIPTION:
The knowledge management agent is capable of building an analysing a semantic knowledge network. It can configure a relational database to contain an ISO standard topic map and permit regular-expression based searching of the map. Analysis of the semantic network can be performed providing graphical output of the data, and cfknow can assemble and converge the reference manual for the current version of the cfengine software. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--debug, -d
    Set debugging level 0,1,2,3

--verbose, -v
    Output verbose information about the behaviour of the agent

--version, -V
    Output the version of the software

--file, -f
    Specify an alternative input file than the default

--graphs, -g
    Generate graphs from topic map data

--html, -H
    Output queries in HTML

--manual, -m
    Generate reference manual from internal data

--regex, -r
    Specify a regular expression for searching the topic map

--sql, -s
    Store topic map in defined SQL database

--syntax, -S
    Print a syntax summary of the optional keyword or this cfengine version

--topic, -t
    Specify a literal string topic to look up in the topic map

AUTHOR
Mark Burgess and Cfengine AS

INFORMATION
Bug reports: bug-cfengine@cfengine.org Community help: help-cfengine@cfengine.org Community info: http://www.cfengine.org Support services: http://www.cfengine.com This software is (C) 2008- Cfengine AS.